summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlon Bar-Lev <alonbl@gentoo.org>2019-04-17 14:47:04 +0300
committerAlon Bar-Lev <alonbl@gentoo.org>2019-04-17 14:48:01 +0300
commit31dd00f6488dc707074208b71c8e0997faf6e1f2 (patch)
tree8a606e72422d09f53a13ae686294f8c379a6b510 /net-libs
parentnet-analyzer/testssl: amd64 stable wrt bug #683210 (diff)
downloadgentoo-31dd00f6488dc707074208b71c8e0997faf6e1f2.tar.gz
gentoo-31dd00f6488dc707074208b71c8e0997faf6e1f2.tar.bz2
gentoo-31dd00f6488dc707074208b71c8e0997faf6e1f2.zip
net-libs/gnutls: cleanup old
Signed-off-by: Alon Bar-Lev <alonbl@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/gnutls/Manifest3
-rw-r--r--net-libs/gnutls/files/gnutls-3.5.19-idn2.patch47
-rw-r--r--net-libs/gnutls/files/gnutls-3.6.5-build.patch31
-rw-r--r--net-libs/gnutls/files/gnutls-3.6.5-libressl.patch53
-rw-r--r--net-libs/gnutls/gnutls-3.5.19-r1.ebuild135
-rw-r--r--net-libs/gnutls/gnutls-3.5.19.ebuild137
-rw-r--r--net-libs/gnutls/gnutls-3.6.5.ebuild137
-rw-r--r--net-libs/gnutls/gnutls-3.6.6.ebuild132
-rw-r--r--net-libs/gnutls/metadata.xml3
9 files changed, 0 insertions, 678 deletions
diff --git a/net-libs/gnutls/Manifest b/net-libs/gnutls/Manifest
index b47e8e66dce..6dbf4d22866 100644
--- a/net-libs/gnutls/Manifest
+++ b/net-libs/gnutls/Manifest
@@ -1,4 +1 @@
-DIST gnutls-3.5.19.tar.xz 7239744 BLAKE2B c12578e79d3e96e1df7a5dc5f05fe9bc4bce4150f7440a73fda8e69d3f137a9ad1ace28b56e976bc319bd7be7305bf93af9c20087229e0b8fefee85b64e8261d SHA512 a78a59505e59c62ca671b34eacaeadcf070a943b12d964b7362962ba05636136638063491c37bb1883807014b8b6cf4f83f7d5b918ed02d5fbb52155679ce52f
-DIST gnutls-3.6.5.tar.xz 8192888 BLAKE2B 1d305d49c461657b921a51e6c3577e8aea76ba2a4ecbb0ba165ca1f452560b691f12733e3b3ef6d1206096a7393a6fdd05bedb5d5653c7e18e14c5c2f5993de2 SHA512 127f053ce45c63cd745fa5a654a2d8e4fbc322f5e17dcc3740fb2e7b376dd18dad59318d66e6e93e37d6a179fca4b35cf2ae62d13be5645cd2d06badd79d4dce
-DIST gnutls-3.6.6.tar.xz 8257612 BLAKE2B 1b201eedcad7e4424cc6f53d21de5c8105fdea3f0bbc2ea1eceac6fed20a45ad8009fc0f4d9bd7c3e8e3a4cd261d6c32a180a273b22494c4b2f1982244bd4698 SHA512 4ff34f38d7dc543bc5750d8fdfe9be84af60c66e8d41da45f6cffc11d6c6c726784fd2d471b3416604ca1f3f9efb22ff7a290d5c92c96deda38df6ae3e794cc1
DIST gnutls-3.6.7.tar.xz 8153728 BLAKE2B 993a45edff335e75f36de27373d5db01094c81ebc5eb13d9e04a01f7f32ce6189f71f05a18c90c2e57aec688750e917ee948261726acdd7752d9d7d42a9c7ac2 SHA512 ae9b8996eb9b7269d28213f0aca3a4a17890ba8d47e3dc3b8e754ab8e2b4251e9412aaaa161a8bf56167f04cc169b4cada46f55a7bde92b955eb36cd717a99f3
diff --git a/net-libs/gnutls/files/gnutls-3.5.19-idn2.patch b/net-libs/gnutls/files/gnutls-3.5.19-idn2.patch
deleted file mode 100644
index 1f16302c81b..00000000000
--- a/net-libs/gnutls/files/gnutls-3.5.19-idn2.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-From b0dfccd2149086cf5d2db44c329664a56b126216 Mon Sep 17 00:00:00 2001
-From: Alon Bar-Lev <alon.barlev@gmail.com>
-Date: Sun, 6 Jan 2019 20:02:50 +0200
-Subject: [PATCH] idn2: do not use deprecated idn2_to_unicode_8z8z in
- idn2-2.1.0
-
-Signed-off-by: Alon Bar-Lev <alon.barlev@gmail.com>
----
- lib/str-idna.c | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-https://gitlab.com/gnutls/gnutls/merge_requests/864
-
-diff --git a/lib/str-idna.c b/lib/str-idna.c
-index 3bf2db877..95ca9b769 100644
---- a/lib/str-idna.c
-+++ b/lib/str-idna.c
-@@ -145,7 +145,7 @@ int gnutls_idna_map(const char *input, unsigned ilen, gnutls_datum_t *out, unsig
- return ret;
- }
-
--#ifdef HAVE_LIBIDN2
-+#if defined(HAVE_LIBIDN2) && IDN2_VERSION_NUMBER < 0x02000000
- int _idn2_punycode_decode(
- size_t input_length,
- const char input[],
-@@ -153,7 +153,7 @@ int _idn2_punycode_decode(
- uint32_t output[],
- unsigned char case_flags[]);
-
--static int _idn2_to_unicode_8z8z(const char *src, char **dst)
-+static int idn2_to_unicode_8z8z(const char *src, char **dst, int flags)
- {
- int rc, run;
- size_t out_len = 0;
-@@ -253,7 +253,7 @@ int gnutls_idna_reverse_map(const char *input, unsigned ilen, gnutls_datum_t *ou
-
- #ifdef HAVE_LIBIDN2
- /* currently libidn2 just converts single labels, thus a wrapper function */
-- rc = _idn2_to_unicode_8z8z((char*)istr.data, &u8);
-+ rc = idn2_to_unicode_8z8z((char*)istr.data, &u8, 0);
- if (rc != IDN2_OK) {
- gnutls_assert();
- _gnutls_debug_log("unable to convert ACE name '%s' to UTF-8 format: %s\n", istr.data, idn2_strerror(rc));
---
-2.19.2
-
diff --git a/net-libs/gnutls/files/gnutls-3.6.5-build.patch b/net-libs/gnutls/files/gnutls-3.6.5-build.patch
deleted file mode 100644
index 00c11da4ae7..00000000000
--- a/net-libs/gnutls/files/gnutls-3.6.5-build.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-From b7fdb4125e4eebc5af2155b6d36cf17339a3abf5 Mon Sep 17 00:00:00 2001
-From: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
-Date: Tue, 25 Dec 2018 14:44:11 +0300
-Subject: [PATCH] tests: cipher-openssl-compat: don't call
- EVP_CIPHER_CTX_init()
-
-There is no need to call EVP_CIPHER_CTX_init() after
-EVP_CIPHER_CTX_new().
-
-Fixes #658
-
-Signed-off-by: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
----
- tests/slow/cipher-openssl-compat.c | 1 -
- 1 file changed, 1 deletion(-)
-
-diff --git a/tests/slow/cipher-openssl-compat.c b/tests/slow/cipher-openssl-compat.c
-index a4cb3522d..64adf25a4 100644
---- a/tests/slow/cipher-openssl-compat.c
-+++ b/tests/slow/cipher-openssl-compat.c
-@@ -106,7 +106,6 @@ static int cipher_test(const char *ocipher, gnutls_cipher_algorithm_t gcipher,
- #if OPENSSL_VERSION_NUMBER >= 0x10100000L
- if (gcipher == GNUTLS_CIPHER_AES_128_CCM
- || gcipher == GNUTLS_CIPHER_AES_256_CCM) {
-- assert(EVP_CIPHER_CTX_init(ctx)==1);
- assert(EVP_CipherInit_ex(ctx, evp_cipher, 0, 0, 0, 0) >
- 0);
-
---
-2.19.2
-
diff --git a/net-libs/gnutls/files/gnutls-3.6.5-libressl.patch b/net-libs/gnutls/files/gnutls-3.6.5-libressl.patch
deleted file mode 100644
index 16cac8c13b9..00000000000
--- a/net-libs/gnutls/files/gnutls-3.6.5-libressl.patch
+++ /dev/null
@@ -1,53 +0,0 @@
-From bfd036b31f2a47ae40e104b2ea1a0e095900cf52 Mon Sep 17 00:00:00 2001
-From: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
-Date: Tue, 25 Dec 2018 14:43:56 +0300
-Subject: [PATCH] tests: cipher-openssl-compat: don't fail if OpenSSL doesn't
- provide cipher
-
-LibreSSL does not provide ChaCha20-Poly1305 through EVP_CIPHER
-interface, so let's skip the test if cipher is not available.
-
-Signed-off-by: Dmitry Eremin-Solenikov <dbaryshkov@gmail.com>
----
- tests/slow/cipher-openssl-compat.c | 18 +++++++++++++-----
- 1 file changed, 13 insertions(+), 5 deletions(-)
-
-diff --git a/tests/slow/cipher-openssl-compat.c b/tests/slow/cipher-openssl-compat.c
-index c9b39d026..a4cb3522d 100644
---- a/tests/slow/cipher-openssl-compat.c
-+++ b/tests/slow/cipher-openssl-compat.c
-@@ -38,6 +38,19 @@ static int cipher_test(const char *ocipher, gnutls_cipher_algorithm_t gcipher,
-
- success("cipher: %s\n", ocipher);
-
-+ /* decrypt with openssl */
-+ evp_cipher = EVP_get_cipherbyname(ocipher);
-+ if (!evp_cipher) {
-+ /* XXX: fix version check later when LibreSSL fixes support for aes-ccm and chacha20-poly1305 */
-+#ifdef LIBRESSL_VERSION_NUMBER
-+ fprintf(stderr, "EVP_get_cipherbyname failed for %s\n", ocipher);
-+ return -1;
-+#else
-+ /* OpenSSL should always work! */
-+ fail("EVP_get_cipherbyname failed for %s\n", ocipher);
-+#endif
-+ }
-+
- for (i = 0; i < 32; i++) { /* try with multiple keys and nonces */
- assert(gnutls_rnd
- (GNUTLS_RND_NONCE, orig_plain_data,
-@@ -88,11 +101,6 @@ static int cipher_test(const char *ocipher, gnutls_cipher_algorithm_t gcipher,
-
- gnutls_aead_cipher_deinit(hd);
-
-- /* decrypt with openssl */
-- evp_cipher = EVP_get_cipherbyname(ocipher);
-- if (!evp_cipher)
-- fail("EVP_get_cipherbyname failed for %s\n", ocipher);
--
- ctx = EVP_CIPHER_CTX_new();
-
- #if OPENSSL_VERSION_NUMBER >= 0x10100000L
---
-2.19.2
-
diff --git a/net-libs/gnutls/gnutls-3.5.19-r1.ebuild b/net-libs/gnutls/gnutls-3.5.19-r1.ebuild
deleted file mode 100644
index 5917ea116d3..00000000000
--- a/net-libs/gnutls/gnutls-3.5.19-r1.ebuild
+++ /dev/null
@@ -1,135 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit libtool multilib-minimal
-
-DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
-HOMEPAGE="http://www.gnutls.org/"
-SRC_URI="mirror://gnupg/gnutls/v$(ver_cut 1-2)/${P}.tar.xz"
-
-LICENSE="GPL-3 LGPL-2.1"
-SLOT="0/30" # libgnutls.so number
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="+cxx dane doc examples guile +idn nls openpgp +openssl pkcs11 seccomp sslv2 sslv3 static-libs test test-full +tls-heartbeat tools valgrind zlib"
-
-REQUIRED_USE="
- test-full? ( guile pkcs11 openpgp openssl idn seccomp tools zlib )"
-
-# NOTICE: sys-devel/autogen is required at runtime as we
-# use system libopts
-RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
- dev-libs/libunistring:=[${MULTILIB_USEDEP}]
- >=dev-libs/nettle-3.1:=[gmp,${MULTILIB_USEDEP}]
- >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
- tools? ( sys-devel/autogen:= )
- dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
- guile? ( >=dev-scheme/guile-2:=[networking] )
- nls? ( >=virtual/libintl-0-r1:=[${MULTILIB_USEDEP}] )
- pkcs11? ( >=app-crypt/p11-kit-0.23.1:=[${MULTILIB_USEDEP}] )
- zlib? ( >=sys-libs/zlib-1.2.8-r1:=[${MULTILIB_USEDEP}] )
- idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
-DEPEND="${RDEPEND}
- test? (
- seccomp? ( sys-libs/libseccomp )
- )"
-BDEPEND=">=virtual/pkgconfig-0-r1
- doc? ( dev-util/gtk-doc )
- nls? ( sys-devel/gettext )
- tools? ( sys-devel/autogen )
- valgrind? ( dev-util/valgrind )
- test-full? (
- app-crypt/dieharder
- app-misc/datefudge
- dev-libs/softhsm:2[-bindist]
- net-dialup/ppp
- net-misc/socat
- )"
-
-DOCS=(
- README.md
- doc/certtool.cfg
-)
-
-HTML_DOCS=()
-
-PATCHES=(
- "${FILESDIR}/${P}-idn2.patch"
-)
-
-pkg_setup() {
- # bug#520818
- export TZ=UTC
-
- use doc && HTML_DOCS+=(
- doc/gnutls.html
- )
-}
-
-src_prepare() {
- default
-
- # force regeneration of autogen-ed files
- local file
- for file in $(grep -l AutoGen-ed src/*.c) ; do
- rm src/$(basename ${file} .c).{c,h} || die
- done
-
- # Use sane .so versioning on FreeBSD.
- elibtoolize
-}
-
-multilib_src_configure() {
- LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
-
- # TPM needs to be tested before being enabled
- libconf+=( --without-tpm )
-
- # hardware-accell is disabled on OSX because the asm files force
- # GNU-stack (as doesn't support that) and when that's removed ld
- # complains about duplicate symbols
- [[ ${CHOST} == *-darwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- # Cygwin as does not understand these asm files at all
- [[ ${CHOST} == *-cygwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- ECONF_SOURCE=${S} econf \
- $(multilib_native_enable manpages) \
- $(multilib_native_use_enable doc gtk-doc) \
- $(multilib_native_use_enable doc) \
- $(multilib_native_use_enable guile) \
- $(multilib_native_use_enable seccomp seccomp-tests) \
- $(multilib_native_use_enable test tests) \
- $(multilib_native_use_enable test-full full-test-suite) \
- $(multilib_native_use_enable tools) \
- $(multilib_native_use_enable valgrind valgrind-tests) \
- $(use_enable cxx) \
- $(use_enable dane libdane) \
- $(use_enable nls) \
- $(use_enable openpgp openpgp-authentication) \
- $(use_enable openssl openssl-compatibility) \
- $(use_enable sslv2 ssl2-support) \
- $(use_enable sslv3 ssl3-support) \
- $(use_enable static-libs static) \
- $(use_enable tls-heartbeat heartbeat-support) \
- $(use_with idn libidn2) \
- $(use_with idn) \
- $(use_with pkcs11 p11-kit) \
- $(use_with zlib) \
- --disable-rpath \
- --with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt" \
- --without-included-libtasn1 \
- "${libconf[@]}" \
- $("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
-}
-
-multilib_src_install_all() {
- einstalldocs
- find "${D}" -name '*.la' -delete || die
-
- if use examples; then
- docinto examples
- dodoc doc/examples/*.c
- fi
-}
diff --git a/net-libs/gnutls/gnutls-3.5.19.ebuild b/net-libs/gnutls/gnutls-3.5.19.ebuild
deleted file mode 100644
index cb1358dae23..00000000000
--- a/net-libs/gnutls/gnutls-3.5.19.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit libtool ltprune multilib-minimal versionator
-
-DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
-HOMEPAGE="http://www.gnutls.org/"
-SRC_URI="mirror://gnupg/gnutls/v$(get_version_component_range 1-2)/${P}.tar.xz"
-
-LICENSE="GPL-3 LGPL-2.1"
-SLOT="0/30" # libgnutls.so number
-KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="+cxx dane doc examples guile +idn nls openpgp +openssl pkcs11 seccomp sslv2 sslv3 static-libs test test-full +tls-heartbeat tools valgrind zlib"
-
-REQUIRED_USE="
- test-full? ( guile pkcs11 openpgp openssl idn seccomp tools zlib )"
-
-# NOTICE: sys-devel/autogen is required at runtime as we
-# use system libopts
-RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
- dev-libs/libunistring:=[${MULTILIB_USEDEP}]
- >=dev-libs/nettle-3.1:=[gmp,${MULTILIB_USEDEP}]
- >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
- tools? ( sys-devel/autogen )
- dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
- guile? ( >=dev-scheme/guile-1.8:=[networking] )
- nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )
- pkcs11? ( >=app-crypt/p11-kit-0.23.1[${MULTILIB_USEDEP}] )
- zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
- idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
-DEPEND="${RDEPEND}
- >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
- doc? ( dev-util/gtk-doc )
- nls? ( sys-devel/gettext )
- valgrind? ( dev-util/valgrind )
- test? (
- seccomp? ( sys-libs/libseccomp )
- )
- test-full? (
- guile? ( >=dev-scheme/guile-2 )
- app-crypt/dieharder
- app-misc/datefudge
- dev-libs/softhsm:2[-bindist]
- net-dialup/ppp
- net-misc/socat
- )"
-
-DOCS=(
- README.md
- doc/certtool.cfg
-)
-
-HTML_DOCS=()
-
-PATCHES=(
- "${FILESDIR}/${P}-idn2.patch"
-)
-
-pkg_setup() {
- # bug#520818
- export TZ=UTC
-
- use doc && HTML_DOCS+=(
- doc/gnutls.html
- )
-}
-
-src_prepare() {
- default
-
- # force regeneration of autogen-ed files
- local file
- for file in $(grep -l AutoGen-ed src/*.c) ; do
- rm src/$(basename ${file} .c).{c,h} || die
- done
-
- # Use sane .so versioning on FreeBSD.
- elibtoolize
-}
-
-multilib_src_configure() {
- LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
-
- # remove magic of library detection
- # bug#438222
- local libconf=($("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g'))
-
- # TPM needs to be tested before being enabled
- libconf+=( --without-tpm )
-
- # hardware-accell is disabled on OSX because the asm files force
- # GNU-stack (as doesn't support that) and when that's removed ld
- # complains about duplicate symbols
- [[ ${CHOST} == *-darwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- # Cygwin as does not understand these asm files at all
- [[ ${CHOST} == *-cygwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- ECONF_SOURCE=${S} econf \
- $(multilib_native_enable manpages) \
- $(multilib_native_use_enable doc gtk-doc) \
- $(multilib_native_use_enable doc) \
- $(multilib_native_use_enable guile) \
- $(multilib_native_use_enable seccomp seccomp-tests) \
- $(multilib_native_use_enable test tests) \
- $(multilib_native_use_enable test-full full-test-suite) \
- $(multilib_native_use_enable tools) \
- $(multilib_native_use_enable valgrind valgrind-tests) \
- $(use_enable cxx) \
- $(use_enable dane libdane) \
- $(use_enable nls) \
- $(use_enable openpgp openpgp-authentication) \
- $(use_enable openssl openssl-compatibility) \
- $(use_enable sslv2 ssl2-support) \
- $(use_enable sslv3 ssl3-support) \
- $(use_enable static-libs static) \
- $(use_enable tls-heartbeat heartbeat-support) \
- $(use_with idn libidn2) \
- $(use_with idn) \
- $(use_with pkcs11 p11-kit) \
- $(use_with zlib) \
- --with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt" \
- --without-included-libtasn1 \
- "${libconf[@]}"
-}
-
-multilib_src_install_all() {
- einstalldocs
- prune_libtool_files --all
-
- if use examples; then
- docinto examples
- dodoc doc/examples/*.c
- fi
-}
diff --git a/net-libs/gnutls/gnutls-3.6.5.ebuild b/net-libs/gnutls/gnutls-3.6.5.ebuild
deleted file mode 100644
index 9d141a5165c..00000000000
--- a/net-libs/gnutls/gnutls-3.6.5.ebuild
+++ /dev/null
@@ -1,137 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit libtool multilib-minimal
-
-DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
-HOMEPAGE="http://www.gnutls.org/"
-SRC_URI="mirror://gnupg/gnutls/v$(ver_cut 1-2)/${P}.tar.xz"
-
-LICENSE="GPL-3 LGPL-2.1"
-SLOT="0/30" # libgnutls.so number
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="+cxx dane doc examples guile +idn nls +openssl pkcs11 seccomp sslv2 sslv3 static-libs test test-full +tls-heartbeat tools valgrind"
-
-REQUIRED_USE="
- test-full? ( cxx dane doc examples guile idn nls openssl pkcs11 seccomp tls-heartbeat tools )"
-
-# NOTICE: sys-devel/autogen is required at runtime as we
-# use system libopts
-RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
- dev-libs/libunistring:=[${MULTILIB_USEDEP}]
- >=dev-libs/nettle-3.4.1:=[gmp,${MULTILIB_USEDEP}]
- >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
- tools? ( sys-devel/autogen:= )
- dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
- guile? ( >=dev-scheme/guile-2:=[networking] )
- nls? ( >=virtual/libintl-0-r1:=[${MULTILIB_USEDEP}] )
- pkcs11? ( >=app-crypt/p11-kit-0.23.1:=[${MULTILIB_USEDEP}] )
- idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
-DEPEND="${RDEPEND}
- test? (
- seccomp? ( sys-libs/libseccomp )
- )"
-BDEPEND=">=virtual/pkgconfig-0-r1
- doc? ( dev-util/gtk-doc )
- nls? ( sys-devel/gettext )
- tools? ( sys-devel/autogen )
- valgrind? ( dev-util/valgrind )
- test-full? (
- app-crypt/dieharder
- >=app-misc/datefudge-1.22
- dev-libs/softhsm:2[-bindist]
- net-dialup/ppp
- net-misc/socat
- )"
-
-DOCS=(
- README.md
- doc/certtool.cfg
-)
-
-HTML_DOCS=()
-
-PATCHES=(
- "${FILESDIR}/${P}-build.patch"
- "${FILESDIR}/${P}-libressl.patch"
-)
-
-pkg_setup() {
- # bug#520818
- export TZ=UTC
-
- use doc && HTML_DOCS+=(
- doc/gnutls.html
- )
-}
-
-src_prepare() {
- default
-
- # force regeneration of autogen-ed files
- local file
- for file in $(grep -l AutoGen-ed src/*.c) ; do
- rm src/$(basename ${file} .c).{c,h} || die
- done
-
- # Use sane .so versioning on FreeBSD.
- elibtoolize
-
- # detect also guile-2.2, bug#673574
- # aclocal/autoreconf will require more dependencies
- # that we want to have
- sed -i 's/\(_guile_versions_to_search="\)\(.*\)\("\)/\1\2 2.2\3/' configure || die
-}
-
-multilib_src_configure() {
- LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
-
- # TPM needs to be tested before being enabled
- libconf+=( --without-tpm )
-
- # hardware-accell is disabled on OSX because the asm files force
- # GNU-stack (as doesn't support that) and when that's removed ld
- # complains about duplicate symbols
- [[ ${CHOST} == *-darwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- # Cygwin as does not understand these asm files at all
- [[ ${CHOST} == *-cygwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- ECONF_SOURCE=${S} econf \
- $(multilib_native_enable manpages) \
- $(multilib_native_use_enable doc gtk-doc) \
- $(multilib_native_use_enable doc) \
- $(multilib_native_use_enable guile) \
- $(multilib_native_use_enable seccomp seccomp-tests) \
- $(multilib_native_use_enable test tests) \
- $(multilib_native_use_enable test-full full-test-suite) \
- $(multilib_native_use_enable tools) \
- $(multilib_native_use_enable valgrind valgrind-tests) \
- $(use_enable cxx) \
- $(use_enable dane libdane) \
- $(use_enable nls) \
- $(use_enable openssl openssl-compatibility) \
- $(use_enable sslv2 ssl2-support) \
- $(use_enable sslv3 ssl3-support) \
- $(use_enable static-libs static) \
- $(use_enable tls-heartbeat heartbeat-support) \
- $(use_with idn) \
- $(use_with pkcs11 p11-kit) \
- --disable-rpath \
- --with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt" \
- --without-included-libtasn1 \
- "${libconf[@]}" \
- $("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
-}
-
-multilib_src_install_all() {
- einstalldocs
- find "${D}" -name '*.la' -delete || die
-
- if use examples; then
- docinto examples
- dodoc doc/examples/*.c
- fi
-}
diff --git a/net-libs/gnutls/gnutls-3.6.6.ebuild b/net-libs/gnutls/gnutls-3.6.6.ebuild
deleted file mode 100644
index 727e95bff15..00000000000
--- a/net-libs/gnutls/gnutls-3.6.6.ebuild
+++ /dev/null
@@ -1,132 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit libtool multilib-minimal
-
-DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
-HOMEPAGE="http://www.gnutls.org/"
-SRC_URI="mirror://gnupg/gnutls/v$(ver_cut 1-2)/${P}.tar.xz"
-
-LICENSE="GPL-3 LGPL-2.1"
-SLOT="0/30" # libgnutls.so number
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 s390 ~sh ~sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="+cxx dane doc examples guile +idn nls +openssl pkcs11 seccomp sslv2 sslv3 static-libs test test-full +tls-heartbeat tools valgrind"
-
-REQUIRED_USE="
- test-full? ( cxx dane doc examples guile idn nls openssl pkcs11 seccomp tls-heartbeat tools )"
-
-# NOTICE: sys-devel/autogen is required at runtime as we
-# use system libopts
-RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
- dev-libs/libunistring:=[${MULTILIB_USEDEP}]
- >=dev-libs/nettle-3.4.1:=[gmp,${MULTILIB_USEDEP}]
- >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
- tools? ( sys-devel/autogen:= )
- dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
- guile? ( >=dev-scheme/guile-2:=[networking] )
- nls? ( >=virtual/libintl-0-r1:=[${MULTILIB_USEDEP}] )
- pkcs11? ( >=app-crypt/p11-kit-0.23.1:=[${MULTILIB_USEDEP}] )
- idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
-DEPEND="${RDEPEND}
- test? (
- seccomp? ( sys-libs/libseccomp )
- )"
-BDEPEND=">=virtual/pkgconfig-0-r1
- doc? ( dev-util/gtk-doc )
- nls? ( sys-devel/gettext )
- tools? ( sys-devel/autogen )
- valgrind? ( dev-util/valgrind )
- test-full? (
- app-crypt/dieharder
- >=app-misc/datefudge-1.22
- dev-libs/softhsm:2[-bindist]
- net-dialup/ppp
- net-misc/socat
- )"
-
-DOCS=(
- README.md
- doc/certtool.cfg
-)
-
-HTML_DOCS=()
-
-pkg_setup() {
- # bug#520818
- export TZ=UTC
-
- use doc && HTML_DOCS+=(
- doc/gnutls.html
- )
-}
-
-src_prepare() {
- default
-
- # force regeneration of autogen-ed files
- local file
- for file in $(grep -l AutoGen-ed src/*.c) ; do
- rm src/$(basename ${file} .c).{c,h} || die
- done
-
- # Use sane .so versioning on FreeBSD.
- elibtoolize
-
- # detect also guile-2.2, bug#676402
- # aclocal/autoreconf will require more dependencies
- # that we want to have
- sed -i 's/_guile_required_version=2.2$/_guile_required_version=2.0/' configure || die
-}
-
-multilib_src_configure() {
- LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
-
- # TPM needs to be tested before being enabled
- libconf+=( --without-tpm )
-
- # hardware-accell is disabled on OSX because the asm files force
- # GNU-stack (as doesn't support that) and when that's removed ld
- # complains about duplicate symbols
- [[ ${CHOST} == *-darwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- # Cygwin as does not understand these asm files at all
- [[ ${CHOST} == *-cygwin* ]] && libconf+=( --disable-hardware-acceleration )
-
- ECONF_SOURCE=${S} econf \
- $(multilib_native_enable manpages) \
- $(multilib_native_use_enable doc gtk-doc) \
- $(multilib_native_use_enable doc) \
- $(multilib_native_use_enable guile) \
- $(multilib_native_use_enable seccomp seccomp-tests) \
- $(multilib_native_use_enable test tests) \
- $(multilib_native_use_enable test-full full-test-suite) \
- $(multilib_native_use_enable tools) \
- $(multilib_native_use_enable valgrind valgrind-tests) \
- $(use_enable cxx) \
- $(use_enable dane libdane) \
- $(use_enable nls) \
- $(use_enable openssl openssl-compatibility) \
- $(use_enable sslv2 ssl2-support) \
- $(use_enable sslv3 ssl3-support) \
- $(use_enable static-libs static) \
- $(use_enable tls-heartbeat heartbeat-support) \
- $(use_with idn) \
- $(use_with pkcs11 p11-kit) \
- --disable-rpath \
- --with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt" \
- --without-included-libtasn1 \
- "${libconf[@]}" \
- $("${S}/configure" --help | grep -- '--without-.*-prefix' | sed -e 's/^ *\([^ ]*\) .*/\1/g')
-}
-
-multilib_src_install_all() {
- einstalldocs
- find "${D}" -name '*.la' -delete || die
-
- if use examples; then
- docinto examples
- dodoc doc/examples/*.c
- fi
-}
diff --git a/net-libs/gnutls/metadata.xml b/net-libs/gnutls/metadata.xml
index 85804ccbea4..d90b1d71c77 100644
--- a/net-libs/gnutls/metadata.xml
+++ b/net-libs/gnutls/metadata.xml
@@ -10,9 +10,6 @@
Build libgnutls-dane, implementing DNS-based Authentication of
Named Entities. Requires <pkg>net-dns/unbound</pkg>
</flag>
- <flag name="openpgp">
- Enable openpgp support
- </flag>
<flag name="openssl">
Build openssl compatibility libraries
</flag>